List allChannels
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get the list of channels either in this team or shared with this team (incoming channels).
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Channel.ReadBasic.All, ChannelSettings.Read.All, ChannelSettings.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Channel.ReadBasic.All, ChannelSettings.Read.All, ChannelSettings.ReadWrite.All |
Note: This API supports admin permissions. Global admins and Microsoft Teams service admins can access teams that they are not a member of.
HTTP request
GET /teams/{team-id}/allChannels
Optional query parameters
This method supports the $filter and $select OData query parameters to help customize the response.
Use $select for better performance
Populating the email and moderationSettings properties for a channel is an expensive operation that results in slow performance. Use $select to exclude the email and moderationSettings properties to improve performance.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of channel objects in the response body. The response also includes the @odata.id property which can be used to access the channel and run other operations on the channel object.
Note
Currently, invoking the URL returned from the @odata.id property fails for cross-tenant shared channels. You can solve this issue if you remove the /tenants/{tenant-id} part from the URL before you call this API. For more details, see Known issues with Microsoft Graph.
Examples
Example 1: List all channels
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/teams/893075dd-2487-4122-925f-022c42e20265/allChannels
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.id": "https://graph.microsoft.com/beta/tenants/b3246f44-b4gb-4627-96c6-25b18fa2c910/teams/893075dd-2487-4122-925f-022c42e20265/channels/19:561fbdbbfca848a484f0a6f00ce9dbbd@thread.tacv2",
"id": "19:561fbdbbfca848a484f0a6f00ce9dbbd@thread.tacv2",
"createdDateTime": "2020-05-27T19:22:25.692Z",
"displayName": "General",
"description": "AutoTestTeam_20210311_150740.2550_fim3udfdjen9",
"membershipType": "standard",
"tenantId": "b3246f44-b4gb-4627-96c6-25b18fa2c910"
},
{
"@odata.id": "https://graph.microsoft.com/beta/tenants/b3246f44-b4gb-5678-96c6-25b18fa2c910/teams/893075dd-5678-5634-925f-022c42e20265/channels/19:561fbdbbfca848a484gabdf00ce9dbbd@thread.tacv",
"id": "19:561fbdbbfca848a484gabdf00ce9dbbd@thread.tacv2",
"createdDateTime": "2020-05-27T19:22:25.692Z",
"displayName": "Shared channel from Contoso",
"membershipType": "shared",
"tenantId": "b3246f44-b4gb-5678-96c6-25b18fa2c910"
}
]
}
Example 2: List all shared channels
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/teams/893075dd-2487-4122-925f-022c42e20265/allChannels?$filter=membershipType eq 'shared'
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.id": "https://graph.microsoft.com/beta/tenants/b3246f44-b4gb-5678-96c6-25b18fa2c910/teams/893075dd-5678-5634-925f-022c42e20265/channels/19:561fbdbbfca848a484gabdf00ce9dbbd@thread.tacv",
"id": "19:561fbdbbfca848a484gabdf00ce9dbbd@thread.tacv2",
"createdDateTime": "2020-05-27T19:22:25.692Z",
"displayName": "Shared channel from Contoso",
"membershipType": "shared",
"tenantId": "b3246f44-b4gb-5678-96c6-25b18fa2c910"
}
]
}
Feedback
Submit and view feedback for